## Apache Zeta Components Manual :: Docs For Class ezcWorkflowExecutionVisualizerPluginOptions

### Workflow::ezcWorkflowExecutionVisualizerPluginOptions

### Class ezcWorkflowExecutionVisualizerPluginOptions

Options class for ezcWorkflowExecutionVisualizerPlugin.

Source for this file: /Workflow/src/options/execution_plugin_visualizer.php

    ezcBaseOptions
       |
       --ezcWorkflowExecutionVisualizerPluginOptions

Version: | //autogen//

### Properties

string | read/write | `$directory` The directory to which the DOT files are written.
bool | read/write | `$includeVariables` Whether or not to include workflow variables.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'directory' => null, 'includeVariables' => true, )` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3